Skip to main content
POST
/
contact-accounts
/
bulk
Bulk create contact accounts
curl --request POST \
  --url https://api.reply.io/v3/contact-accounts/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "items": [
    {
      "name": "<string>",
      "description": "<string>",
      "domainName": "<string>",
      "domainSecondary": "<string>",
      "industry": "<string>",
      "companySize": "Empty",
      "country": "<string>",
      "state": "<string>",
      "city": "<string>",
      "timeZoneId": "<string>",
      "linkedInUrl": "<string>",
      "phone": "<string>",
      "twitterUrl": "<string>",
      "logoUrl": "<string>",
      "email": "<string>"
    }
  ]
}
'
[
  {
    "id": 123,
    "error": 123,
    "errorDetails": "<string>"
  }
]

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Body

application/json

Request body for bulk creating contact accounts

items
Create Contact Account Request · object[]
required

List of contact accounts to create

Response

Array of creation results, one per input item

id
integer | null

ID of the created item, null if creation failed

error
integer | null

Error code if creation failed

errorDetails
string | null

Human-readable error description if creation failed